$(function () {
    'use strict';

    const url = $('.email-capture__form').data('url');
    const xhr = _dcs.Xhr(url);
    const cookie = new _dcs.Cookies();
    const show_timing = Number($('.email-capture__modal').data('timing')) || 0;
    const modal_email = $('.email-capture__modal').modal({
        class: 'modal--flat modal--news',
        onClose: () => view()
    });


    /**
     * @private
     * set cookie _dc_app_email_capture
     */
    const view = () => {
        cookie.set('_dc_app_email_capture', 1);
    };

    /**
     * @private
     * @param {Object} data 
     */
    const registerEmail = (data) => {
        $('.email-capture__loader').fadeIn();

        xhr.post({
            id: 'email-capture',
            data: data
        }).done(response => {
            let res = JSON.parse(response);

            if (res.status == 200) {
                $('.email-capture__loader').fadeOut();
                $('.email-capture__success').fadeIn();
                view();
            }

        });
    };

    if (!cookie.get('_dc_app_email_capture') && $('.email-capture__modal').length > 0) {
        setTimeout(() => {
            modal_email.open();
        }, show_timing);
    }

    $('.email-capture__form').on('submit', function (evt) {
        evt.preventDefault();
        let paramns = window.getParamns($(this));

        registerEmail(paramns);
    });
});